IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2001:db8:0:3800::/56- First address
2001:db8:0:3800::- Last address
2001:db8:0:38ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2001:0db8:0000:3800:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
8.3.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:3800::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:3800::/64 | 2001:db8:0:3800:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:3801::/64 | 2001:db8:0:3801:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:3802::/64 | 2001:db8:0:3802:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:3803::/64 | 2001:db8:0:3803:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:3804::/64 | 2001:db8:0:3804:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:3805::/64 | 2001:db8:0:3805:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:3806::/64 | 2001:db8:0:3806:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:3807::/64 | 2001:db8:0:3807:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:3808::/64 | 2001:db8:0:3808:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:3809::/64 | 2001:db8:0:3809:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:380a::/64 | 2001:db8:0:380a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:380b::/64 | 2001:db8:0:380b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:380c::/64 | 2001:db8:0:380c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:380d::/64 | 2001:db8:0:380d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:380e::/64 | 2001:db8:0:380e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:380f::/64 | 2001:db8:0:380f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:3810::/64 | 2001:db8:0:3810:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:3811::/64 | 2001:db8:0:3811:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:3812::/64 | 2001:db8:0:3812:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:3813::/64 | 2001:db8:0:3813:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:3814::/64 | 2001:db8:0:3814:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:3815::/64 | 2001:db8:0:3815:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:3816::/64 | 2001:db8:0:3816:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:3817::/64 | 2001:db8:0:3817:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:3818::/64 | 2001:db8:0:3818:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:3819::/64 | 2001:db8:0:3819:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:381a::/64 | 2001:db8:0:381a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:381b::/64 | 2001:db8:0:381b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:381c::/64 | 2001:db8:0:381c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:381d::/64 | 2001:db8:0:381d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:381e::/64 | 2001:db8:0:381e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:381f::/64 | 2001:db8:0:381f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:3820::/64 | 2001:db8:0:3820:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:3821::/64 | 2001:db8:0:3821:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:3822::/64 | 2001:db8:0:3822:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:3823::/64 | 2001:db8:0:3823:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:3824::/64 | 2001:db8:0:3824:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:3825::/64 | 2001:db8:0:3825:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:3826::/64 | 2001:db8:0:3826:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:3827::/64 | 2001:db8:0:3827:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:3828::/64 | 2001:db8:0:3828:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:3829::/64 | 2001:db8:0:3829:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:382a::/64 | 2001:db8:0:382a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:382b::/64 | 2001:db8:0:382b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:382c::/64 | 2001:db8:0:382c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:382d::/64 | 2001:db8:0:382d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:382e::/64 | 2001:db8:0:382e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:382f::/64 | 2001:db8:0:382f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:3830::/64 | 2001:db8:0:3830:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:3831::/64 | 2001:db8:0:3831:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:3832::/64 | 2001:db8:0:3832:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:3833::/64 | 2001:db8:0:3833:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:3834::/64 | 2001:db8:0:3834:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:3835::/64 | 2001:db8:0:3835:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:3836::/64 | 2001:db8:0:3836:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:3837::/64 | 2001:db8:0:3837:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:3838::/64 | 2001:db8:0:3838:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:3839::/64 | 2001:db8:0:3839:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:383a::/64 | 2001:db8:0:383a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:383b::/64 | 2001:db8:0:383b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:383c::/64 | 2001:db8:0:383c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:383d::/64 | 2001:db8:0:383d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:383e::/64 | 2001:db8:0:383e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:383f::/64 | 2001:db8:0:383f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:3840::/64 | 2001:db8:0:3840:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:3841::/64 | 2001:db8:0:3841:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:3842::/64 | 2001:db8:0:3842:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:3843::/64 | 2001:db8:0:3843:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:3844::/64 | 2001:db8:0:3844:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:3845::/64 | 2001:db8:0:3845:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:3846::/64 | 2001:db8:0:3846:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:3847::/64 | 2001:db8:0:3847:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:3848::/64 | 2001:db8:0:3848:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:3849::/64 | 2001:db8:0:3849:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:384a::/64 | 2001:db8:0:384a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:384b::/64 | 2001:db8:0:384b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:384c::/64 | 2001:db8:0:384c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:384d::/64 | 2001:db8:0:384d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:384e::/64 | 2001:db8:0:384e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:384f::/64 | 2001:db8:0:384f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:3850::/64 | 2001:db8:0:3850:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:3851::/64 | 2001:db8:0:3851:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:3852::/64 | 2001:db8:0:3852:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:3853::/64 | 2001:db8:0:3853:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:3854::/64 | 2001:db8:0:3854:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:3855::/64 | 2001:db8:0:3855:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:3856::/64 | 2001:db8:0:3856:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:3857::/64 | 2001:db8:0:3857:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:3858::/64 | 2001:db8:0:3858:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:3859::/64 | 2001:db8:0:3859:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:385a::/64 | 2001:db8:0:385a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:385b::/64 | 2001:db8:0:385b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:385c::/64 | 2001:db8:0:385c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:385d::/64 | 2001:db8:0:385d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:385e::/64 | 2001:db8:0:385e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:385f::/64 | 2001:db8:0:385f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:3860::/64 | 2001:db8:0:3860:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:3861::/64 | 2001:db8:0:3861:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:3862::/64 | 2001:db8:0:3862:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:3863::/64 | 2001:db8:0:3863:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:3864::/64 | 2001:db8:0:3864:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:3865::/64 | 2001:db8:0:3865:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:3866::/64 | 2001:db8:0:3866:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:3867::/64 | 2001:db8:0:3867:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:3868::/64 | 2001:db8:0:3868:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:3869::/64 | 2001:db8:0:3869:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:386a::/64 | 2001:db8:0:386a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:386b::/64 | 2001:db8:0:386b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:386c::/64 | 2001:db8:0:386c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:386d::/64 | 2001:db8:0:386d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:386e::/64 | 2001:db8:0:386e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:386f::/64 | 2001:db8:0:386f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:3870::/64 | 2001:db8:0:3870:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:3871::/64 | 2001:db8:0:3871:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:3872::/64 | 2001:db8:0:3872:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:3873::/64 | 2001:db8:0:3873:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:3874::/64 | 2001:db8:0:3874:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:3875::/64 | 2001:db8:0:3875:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:3876::/64 | 2001:db8:0:3876:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:3877::/64 | 2001:db8:0:3877:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:3878::/64 | 2001:db8:0:3878:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:3879::/64 | 2001:db8:0:3879:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:387a::/64 | 2001:db8:0:387a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:387b::/64 | 2001:db8:0:387b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:387c::/64 | 2001:db8:0:387c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:387d::/64 | 2001:db8:0:387d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:387e::/64 | 2001:db8:0:387e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:387f::/64 | 2001:db8:0:387f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:3880::/64 | 2001:db8:0:3880:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:3881::/64 | 2001:db8:0:3881:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:3882::/64 | 2001:db8:0:3882:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:3883::/64 | 2001:db8:0:3883:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:3884::/64 | 2001:db8:0:3884:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:3885::/64 | 2001:db8:0:3885:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:3886::/64 | 2001:db8:0:3886:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:3887::/64 | 2001:db8:0:3887:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:3888::/64 | 2001:db8:0:3888:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:3889::/64 | 2001:db8:0:3889:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:388a::/64 | 2001:db8:0:388a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:388b::/64 | 2001:db8:0:388b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:388c::/64 | 2001:db8:0:388c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:388d::/64 | 2001:db8:0:388d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:388e::/64 | 2001:db8:0:388e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:388f::/64 | 2001:db8:0:388f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:3890::/64 | 2001:db8:0:3890:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:3891::/64 | 2001:db8:0:3891:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:3892::/64 | 2001:db8:0:3892:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:3893::/64 | 2001:db8:0:3893:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:3894::/64 | 2001:db8:0:3894:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:3895::/64 | 2001:db8:0:3895:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:3896::/64 | 2001:db8:0:3896:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:3897::/64 | 2001:db8:0:3897:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:3898::/64 | 2001:db8:0:3898:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:3899::/64 | 2001:db8:0:3899:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:389a::/64 | 2001:db8:0:389a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:389b::/64 | 2001:db8:0:389b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:389c::/64 | 2001:db8:0:389c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:389d::/64 | 2001:db8:0:389d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:389e::/64 | 2001:db8:0:389e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:389f::/64 | 2001:db8:0:389f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:38a0::/64 | 2001:db8:0:38a0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:38a1::/64 | 2001:db8:0:38a1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:38a2::/64 | 2001:db8:0:38a2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:38a3::/64 | 2001:db8:0:38a3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:38a4::/64 | 2001:db8:0:38a4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:38a5::/64 | 2001:db8:0:38a5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:38a6::/64 | 2001:db8:0:38a6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:38a7::/64 | 2001:db8:0:38a7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:38a8::/64 | 2001:db8:0:38a8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:38a9::/64 | 2001:db8:0:38a9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:38aa::/64 | 2001:db8:0:38aa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:38ab::/64 | 2001:db8:0:38ab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:38ac::/64 | 2001:db8:0:38ac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:38ad::/64 | 2001:db8:0:38ad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:38ae::/64 | 2001:db8:0:38ae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:38af::/64 | 2001:db8:0:38af:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:38b0::/64 | 2001:db8:0:38b0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:38b1::/64 | 2001:db8:0:38b1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:38b2::/64 | 2001:db8:0:38b2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:38b3::/64 | 2001:db8:0:38b3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:38b4::/64 | 2001:db8:0:38b4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:38b5::/64 | 2001:db8:0:38b5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:38b6::/64 | 2001:db8:0:38b6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:38b7::/64 | 2001:db8:0:38b7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:38b8::/64 | 2001:db8:0:38b8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:38b9::/64 | 2001:db8:0:38b9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:38ba::/64 | 2001:db8:0:38ba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:38bb::/64 | 2001:db8:0:38bb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:38bc::/64 | 2001:db8:0:38bc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:38bd::/64 | 2001:db8:0:38bd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:38be::/64 | 2001:db8:0:38be:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:38bf::/64 | 2001:db8:0:38bf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:38c0::/64 | 2001:db8:0:38c0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:38c1::/64 | 2001:db8:0:38c1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:38c2::/64 | 2001:db8:0:38c2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:38c3::/64 | 2001:db8:0:38c3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:38c4::/64 | 2001:db8:0:38c4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:38c5::/64 | 2001:db8:0:38c5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:38c6::/64 | 2001:db8:0:38c6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:38c7::/64 | 2001:db8:0:38c7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:38c8::/64 | 2001:db8:0:38c8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:38c9::/64 | 2001:db8:0:38c9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:38ca::/64 | 2001:db8:0:38ca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:38cb::/64 | 2001:db8:0:38cb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:38cc::/64 | 2001:db8:0:38cc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:38cd::/64 | 2001:db8:0:38cd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:38ce::/64 | 2001:db8:0:38ce:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:38cf::/64 | 2001:db8:0:38cf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:38d0::/64 | 2001:db8:0:38d0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:38d1::/64 | 2001:db8:0:38d1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:38d2::/64 | 2001:db8:0:38d2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:38d3::/64 | 2001:db8:0:38d3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:38d4::/64 | 2001:db8:0:38d4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:38d5::/64 | 2001:db8:0:38d5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:38d6::/64 | 2001:db8:0:38d6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:38d7::/64 | 2001:db8:0:38d7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:38d8::/64 | 2001:db8:0:38d8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:38d9::/64 | 2001:db8:0:38d9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:38da::/64 | 2001:db8:0:38da:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:38db::/64 | 2001:db8:0:38db:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:38dc::/64 | 2001:db8:0:38dc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:38dd::/64 | 2001:db8:0:38dd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:38de::/64 | 2001:db8:0:38de:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:38df::/64 | 2001:db8:0:38df:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:38e0::/64 | 2001:db8:0:38e0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:38e1::/64 | 2001:db8:0:38e1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:38e2::/64 | 2001:db8:0:38e2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:38e3::/64 | 2001:db8:0:38e3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:38e4::/64 | 2001:db8:0:38e4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:38e5::/64 | 2001:db8:0:38e5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:38e6::/64 | 2001:db8:0:38e6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:38e7::/64 | 2001:db8:0:38e7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:38e8::/64 | 2001:db8:0:38e8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:38e9::/64 | 2001:db8:0:38e9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:38ea::/64 | 2001:db8:0:38ea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:38eb::/64 | 2001:db8:0:38eb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:38ec::/64 | 2001:db8:0:38ec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:38ed::/64 | 2001:db8:0:38ed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:38ee::/64 | 2001:db8:0:38ee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:38ef::/64 | 2001:db8:0:38ef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:38f0::/64 | 2001:db8:0:38f0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:38f1::/64 | 2001:db8:0:38f1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:38f2::/64 | 2001:db8:0:38f2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:38f3::/64 | 2001:db8:0:38f3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:38f4::/64 | 2001:db8:0:38f4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:38f5::/64 | 2001:db8:0:38f5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:38f6::/64 | 2001:db8:0:38f6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:38f7::/64 | 2001:db8:0:38f7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:38f8::/64 | 2001:db8:0:38f8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:38f9::/64 | 2001:db8:0:38f9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:38fa::/64 | 2001:db8:0:38fa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:38fb::/64 | 2001:db8:0:38fb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:38fc::/64 | 2001:db8:0:38fc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:38fd::/64 | 2001:db8:0:38fd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:38fe::/64 | 2001:db8:0:38fe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:38ff::/64 | 2001:db8:0:38ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |